import { jsx } from "react/jsx-runtime";
import { Scan as Scan$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Scan = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Scan", ...props, children: /* @__PURE__ */ jsx(Scan$1, { weight: variant }) });
  }
);
Scan.displayName = "Scan";
Object.assign(Scan, { isGdsIcon: true });
export {
  Scan
};
